package zmo.technology.lite.core;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class ZeroEnum extends ZeroCoreStructs {

	private String enumName;

	private ZeroEnum parentEnum;
	private List<ZeroEnum> enumOptions;

	public ZeroEnum() {
		super();
	}

	public ZeroEnum(ResultSet set) throws SQLException {
		super(set);

		if (inResultSet(set, "ENUM_NAME"))
			enumName = set.getString("ENUM_NAME");
	}

	public String getEnumName() {
		return enumName;
	}

	public void setEnumName(String enumName) {
		this.enumName = enumName;
	}

	public ZeroEnum getParentEnum() {
		return parentEnum;
	}

	public void setParentEnum(ZeroEnum parentEnum) {
		this.parentEnum = parentEnum;
	}

	public List<ZeroEnum> getEnumOptions() {
		return enumOptions;
	}

	public void setEnumOptions(List<ZeroEnum> enumOptions) {
		this.enumOptions = enumOptions;
	}

	public void addEnumOption(ZeroEnum enumOption) {
		if (enumOptions == null)
			enumOptions = new ArrayList<>();
		this.enumOptions.add(enumOption);
	}
}
